#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 42. Multimedia Libraries and Drivers

- Prev

  libva-2.23.0

- Next

  libvpx-1.16.0

- Up
- Home

# libvorbis-1.3.7

## Introduction to libvorbis

The libvorbis package contains a general purpose audio and music encoding format. This is useful for creating (encoding) and playing (decoding) sound in an open (patent free) format.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://downloads.xiph.org/releases/vorbis/libvorbis-1.3.7.tar.xz

- Download MD5 sum: 50902641d358135f06a8392e61c9ac77

- Download size: 1.1 MB

- Estimated disk space required: 15 MB

- Estimated build time: 0.1 SBU

### libvorbis Dependencies

#### Required

libogg-1.3.6

#### Optional

Doxygen-1.17.0 and texlive-20250308 (or install-tl-unx) (specifically, pdflatex and htlatex) to build the PDF documentation

## Installation of libvorbis

Install libvorbis by running the following commands:

    ./configure --prefix=/usr --disable-static &&
    make

To test the results, issue: make -j1 check.

Now, as the `root` user:

    make install &&
    install -v -m644 doc/Vorbis* /usr/share/doc/libvorbis-1.3.7

## Command Explanations

`--disable-static`: This switch prevents installation of static versions of the libraries.

`--enable-docs`: This switch enables building the documentation in formats other than the supplied html.

## Contents

Installed Programs: None
Installed Libraries: libvorbis.so, libvorbisenc.so and libvorbisfile.so
Installed Directories: /usr/include/vorbis and /usr/share/doc/libvorbis-1.3.7

### Short Descriptions

`libvorbis.so` | provides the functions used to read and write sound files

- Prev

  libva-2.23.0

- Next

  libvpx-1.16.0

- Up
- Home